*
* Get a decimal number from a string: atoi(string)
*
atoi	LD	SI,2[SP]	Get string
* Skip any leading whitespace
?1	LDB	BX,[SI]+	Get char
	CMPB	BX,#' '		Space?
	JE	?1		Skip spaces
	CMPB	BX,#9		Tab?
	JE	?1		Skip tabs
* Handle leading '-'
	CLR	AX		Begin with zero
	CMPB	BX,#'-'		Minus?
	JE	?2		Don't restore
	DEC	SI		Back to digit
* Collect the digits & generate value
?2	LDBZE	CX,[SI]+	Get char
	SUBB	CX,#'0'		Convert
	CMPB	CX,#9		In range?
	JH	?3		No, its not
	MUL	AX,#10		Value *= 10
	ADD	AX,CX		Add new digit
	SJMP	?2		And proceed
* If '-' was used. convert to negative
?3	CMPB	BX,#'-'		Negative?
	JNE	?4		No, don't adjust
	NEG	AX		Convert
?4	RET
