*
* Write Decimal number to the coneole
*
putnum	LD	BX,2[SP]	Get parameter
	JBC	BX+1,7,?1	Not negative
	LDB	AX,#'-'		Negative sign
	LCALL	?putch		Output
	NEG	BX		Convert to positive
?1	LD	AX,BX		Get value
	CLRB	BX		Zero count
?2	CLR	DX		Zero high
	DIVU	AX,#10		Extract digit
	PUSH	DX		Save for later
	INCB	BX		Advance count
	AND	AX,AX		More digits?
	JNE	?2		Keep going
?3	POP	AX		Get value back
	ADDB	AX,#'0'		Convert to ASCII
	LCALL	?putch		Output
	DECB	BX		Reduce count
	JNE	?3		Do them all
	RET
*
* Write a hexidecimal number to the console
*
puthex	LD	AX,2[SP]	Get value
	SHR	AX,#12		Shift to 1st digit
	SCALL	?4		Output
	LD	AX,2[SP]	Get value
	SHR	AX,#8		Shift to 2nd digit
	SCALL	?4		Output
	LD	AX,2[SP]	Get value
	SHR	AX,#4		Shift to 3rd digit
	SCALL	?4		Output
	LD	AX,2[SP]	Get value
?4	ANDB	AX,#%00001111	Mask other digits
	CMPB	AX,#10		In range
	JNC	?5		Yes, its OK
	ADD	AX,#7		Convert for alphas
?5	ADD	AX,#'0'		Convert to ASCII
	LJMP	?putch		Output
$EX:putch
