* Return ABSOLUTE VALUE of argument: int abs(int arg)
abs	LD	AX,2[SP]	Get argument
	JBC	AX+1,7,?1	Already positive
	NEG	AX		Negate
?1	RET
* Return MAXIMUM of two arguments: int max(int arg1, int arg2)
max	LD	AX,2[SP]	Get first argument
	CMP	AX,4[SP]	Compare with second
	JGE	?1		Already higher
?2	LD	AX,4[SP]	Get largest
	RET
* Return MINIMUM of two arguments: int min(int arg1, int arg2)
min	LD	AX,2[SP]	Get first argument
	CMP	AX,4[SP]	Compare with second
	JLE	?1		We have lowest
	SJMP	?2		Get smallest
* Return SQUARE ROOT of argument: int sqrt(int arg)
sqrt	LD	BX,#256		Assumed result
	LD	AX,2[SP]	Get argument
	CMP	AX,#255*255	Over limit
	JH	?4		Assume 256
	CLR	BX		Start with zero
?3	LD	AX,BX		Copy it
	MUL	AX,BX		Perform multiply
	CMP	AX,2[SP]	Do we have it?
	JC	?4		Yes, this is it
	INC	BX		Advance count
	SJMP	?3		And go again
?4	LD	AX,BX		Get result
	RET
